
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss('N')"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="form-row" *ngIf="!tArchivoCargado">
    <div class="form-group col-12 custom-file">
      <input class="custom-file-input" #flArchivo="" lang="es" type="file" accept=".xlsx, .xls" (change)="CargarExcel($event)" id="flArchivo"/>
      <label class="custom-file-label" for="flArchivo">Seleccionar archivo</label>
    </div>
  </div>
  <div class="form-row" *ngIf="tArchivoCargado">
    <div class="form-group col-12">
      <div class="form-row">
        <div class="form-group col-4">
          <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
            <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
          </select>
        </div>
        <div class="form-group col-8">
          <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-12">
          <div class="table-responsive" style="overflow:scroll">
            <table class="table table-sm table-striped table-hover">
              <thead>
                <tr>
                  <th>
                    <h6 class="font-weight-bold">Tipo de ajuste</h6>
                  </th>
                  <th>
                    <h6 class="font-weight-bold">Artículo</h6>
                  </th>
                  <th>
                    <h6 class="font-weight-bold">Talla</h6>
                  </th>
                  <th>
                    <h6 class="font-weight-bold">Cantidad</h6>
                  </th>
                </tr>
              </thead>
              <tbody *ngFor="let tArticulo of tArticulosAjuste | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
                <td>
                  <h6>{{ tArticulo.Codtipoajusteinv }}</h6>
                </td>
                <td>
                  <h6>{{ tArticulo.Codarticulo }}</h6>
                </td>
                <td>
                  <h6>{{ tArticulo.Talla }}</h6>
                </td>
                <td>
                  <h6>{{ tArticulo.Codalmacen }}    </h6>
                </td>
                <td>
                  <h6>{{ tArticulo.Cantidad }}</h6>
                </td>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-12">
          <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tArticulosAjuste.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-light btn-icon-split" type="button" [disabled]="!tArchivoCargado" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
  <button class="btn btn-primary btn-icon-split" type="button" [disabled]="!tArchivoCargado" (click)="Cargar()"><span class="icon text-white-50"><i class="fas fa-file-upload"></i></span><span class="text">Cargar</span></button>
  <button class="btn btn-secondary btn-icon-split" type="button" (click)="activeModal.close('N')"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cerrar</span></button>
</div>